Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.aa.complextype.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.aa.complextype.v1

Method Summary
`Address` | `createAddress()` Create an instance of `Address`
`BaseNameType` | `createBaseNameType()` Create an instance of `BaseNameType`
`BaseServiceListType` | `createBaseServiceListType()` Create an instance of `BaseServiceListType`
`BaseServiceType` | `createBaseServiceType()` Create an instance of `BaseServiceType`
`Codification` | `createCodification()` Create an instance of `Codification`
`Country` | `createCountry()` Create an instance of `Country`
`Description` | `createDescription()` Create an instance of `Description`
`GIAMIAdministrator` | `createGIAMIAdministrator()` Create an instance of `GIAMIAdministrator`
`JAXBElement<GIAMIEntityType>` | `createGIAMIEntity(GIAMIEntityType value)` Create an instance of `JAXBElement``<``GIAMIEntityType``>`}
`GIAMIEntityType` | `createGIAMIEntityType()` Create an instance of `GIAMIEntityType`
`GIAMIOrganization` | `createGIAMIOrganization()` Create an instance of `GIAMIOrganization`
`JAXBElement<GIAMIEntityType>` | `createGIAMIQuality(GIAMIEntityType value)` Create an instance of `JAXBElement``<``GIAMIEntityType``>`}
`HealthCareAdditionalInformation` | `createHealthCareAdditionalInformation()` Create an instance of `HealthCareAdditionalInformation`
`HealthCareOrganization` | `createHealthCareOrganization()` Create an instance of `HealthCareOrganization`
`HealthCareOrganizationTypeV2` | `createHealthCareOrganizationTypeV2()` Create an instance of `HealthCareOrganizationTypeV2`
`JAXBElement<HealthCareOrganizationTypeV2>` | `createHealthCareOrganizationV2(HealthCareOrganizationTypeV2 value)` Create an instance of `JAXBElement``<``HealthCareOrganizationTypeV2``>`}
`HealthCarePerson` | `createHealthCarePerson()` Create an instance of `HealthCarePerson`
`HealthCareProfessional` | `createHealthCareProfessional()` Create an instance of `HealthCareProfessional`
`IAMAttributeStatement` | `createIAMAttributeStatement()` Create an instance of `IAMAttributeStatement`
`JAXBElement<IndividualType>` | `createIndividual(IndividualType value)` Create an instance of `JAXBElement``<``IndividualType``>`}
`IndividualType` | `createIndividualType()` Create an instance of `IndividualType`
`Mandate` | `createMandate()` Create an instance of `Mandate`
`JAXBElement<IAMAttributeStatement>` | `createMandateAttributeStatement(IAMAttributeStatement value)` Create an instance of `JAXBElement``<``IAMAttributeStatement``>`}
`Municipality` | `createMunicipality()` Create an instance of `Municipality`
`JAXBElement<NameType>` | `createName(NameType value)` Create an instance of `JAXBElement``<``NameType``>`}
`NameType` | `createNameType()` Create an instance of `NameType`
`OrganizationAddressbookType` | `createOrganizationAddressbookType()` Create an instance of `OrganizationAddressbookType`
`JAXBElement<IAMAttributeStatement>` | `createOrganizationAttributeStatement(IAMAttributeStatement value)` Create an instance of `JAXBElement``<``IAMAttributeStatement``>`}
`OrganizationDescriberType` | `createOrganizationDescriberType()` Create an instance of `OrganizationDescriberType`
`OrganizationDescriberTypeV2` | `createOrganizationDescriberTypeV2()` Create an instance of `OrganizationDescriberTypeV2`
`OrganizationIdentifierType` | `createOrganizationIdentifierType()` Create an instance of `OrganizationIdentifierType`
`OrganizationInfo` | `createOrganizationInfo()` Create an instance of `OrganizationInfo`
`JAXBElement<TypeCodeType>` | `createOrganizationTypeCode(TypeCodeType value)` Create an instance of `JAXBElement``<``TypeCodeType``>`}
`JAXBElement<NameType>` | `createOrganizationTypeFriendlyName(NameType value)` Create an instance of `JAXBElement``<``NameType``>`}
`PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
`PersonType` | `createPersonType()` Create an instance of `PersonType`
`PersonWithFunction` | `createPersonWithFunction()` Create an instance of `PersonWithFunction`
`PrincipalType` | `createPrincipalType()` Create an instance of `PrincipalType`
`JAXBElement<ProfessionType>` | `createProfession(ProfessionType value)` Create an instance of `JAXBElement``<``ProfessionType``>`}
`JAXBElement<ProfessionalAddressbookType>` | `createProfessionalAddressbook(ProfessionalAddressbookType value)` Create an instance of `JAXBElement``<``ProfessionalAddressbookType``>`}
`ProfessionalAddressbookType` | `createProfessionalAddressbookType()` Create an instance of `ProfessionalAddressbookType`
`ProfessionalType` | `createProfessionalType()` Create an instance of `ProfessionalType`
`ProfessionCode` | `createProfessionCode()` Create an instance of `ProfessionCode`
`JAXBElement<NameType>` | `createProfessionFriendlyName(NameType value)` Create an instance of `JAXBElement``<``NameType``>`}
`ProfessionType` | `createProfessionType()` Create an instance of `ProfessionType`
`ProfessionV2` | `createProfessionV2()` Create an instance of `ProfessionV2`
`ProfessionV3` | `createProfessionV3()` Create an instance of `ProfessionV3`
`JAXBElement<IAMAttributeStatement>` | `createQualityAttributeStatement(IAMAttributeStatement value)` Create an instance of `JAXBElement``<``IAMAttributeStatement``>`}
`QualityDescriberType` | `createQualityDescriberType()` Create an instance of `QualityDescriberType`
`JAXBElement<TypeCodeType>` | `createQualityTypeCode(TypeCodeType value)` Create an instance of `JAXBElement``<``TypeCodeType``>`}
`JAXBElement<NameType>` | `createQualityTypeFriendlyName(NameType value)` Create an instance of `JAXBElement``<``NameType``>`}
`Responsible` | `createResponsible()` Create an instance of `Responsible`
`Speciality` | `createSpeciality()` Create an instance of `Speciality`
`StreetType` | `createStreetType()` Create an instance of `StreetType`
`SupportedOrganization` | `createSupportedOrganization()` Create an instance of `SupportedOrganization`
`SupportedOrganizationV2` | `createSupportedOrganizationV2()` Create an instance of `SupportedOrganizationV2`
`SupportedQuality` | `createSupportedQuality()` Create an instance of `SupportedQuality`
`TypeCodeType` | `createTypeCodeType()` Create an instance of `TypeCodeType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.aa.complextype.v1

Method Detail

### createAddress

    public Address createAddress()

  Create an instance of `Address`

### createStreetType

    public StreetType createStreetType()

  Create an instance of `StreetType`

### createMunicipality

    public Municipality createMunicipality()

  Create an instance of `Municipality`

### createCountry

    public Country createCountry()

  Create an instance of `Country`

### createCodification

    public Codification createCodification()

  Create an instance of `Codification`

### createNameType

    public NameType createNameType()

  Create an instance of `NameType`

### createDescription

    public Description createDescription()

  Create an instance of `Description`

### createBaseNameType

    public BaseNameType createBaseNameType()

  Create an instance of `BaseNameType`

### createGIAMIAdministrator

    public GIAMIAdministrator createGIAMIAdministrator()

  Create an instance of `GIAMIAdministrator`

### createGIAMIEntityType

    public GIAMIEntityType createGIAMIEntityType()

  Create an instance of `GIAMIEntityType`

### createGIAMIOrganization

    public GIAMIOrganization createGIAMIOrganization()

  Create an instance of `GIAMIOrganization`

### createHealthCareAdditionalInformation

    public HealthCareAdditionalInformation createHealthCareAdditionalInformation()

  Create an instance of `HealthCareAdditionalInformation`

### createHealthCareOrganization

    public HealthCareOrganization createHealthCareOrganization()

  Create an instance of `HealthCareOrganization`

### createTypeCodeType

    public TypeCodeType createTypeCodeType()

  Create an instance of `TypeCodeType`

### createHealthCareOrganizationTypeV2

    public HealthCareOrganizationTypeV2 createHealthCareOrganizationTypeV2()

  Create an instance of `HealthCareOrganizationTypeV2`

### createHealthCarePerson

    public HealthCarePerson createHealthCarePerson()

  Create an instance of `HealthCarePerson`

### createProfessionalType

    public ProfessionalType createProfessionalType()

  Create an instance of `ProfessionalType`

### createHealthCareProfessional

    public HealthCareProfessional createHealthCareProfessional()

  Create an instance of `HealthCareProfessional`

### createIndividualType

    public IndividualType createIndividualType()

  Create an instance of `IndividualType`

### createProfessionV3

    public ProfessionV3 createProfessionV3()

  Create an instance of `ProfessionV3`

### createMandate

    public Mandate createMandate()

  Create an instance of `Mandate`

### createPeriodType

    public PeriodType createPeriodType()

  Create an instance of `PeriodType`

### createPrincipalType

    public PrincipalType createPrincipalType()

  Create an instance of `PrincipalType`

### createIAMAttributeStatement

    public IAMAttributeStatement createIAMAttributeStatement()

  Create an instance of `IAMAttributeStatement`

### createOrganizationInfo

    public OrganizationInfo createOrganizationInfo()

  Create an instance of `OrganizationInfo`

### createPersonWithFunction

    public PersonWithFunction createPersonWithFunction()

  Create an instance of `PersonWithFunction`

### createPersonType

    public PersonType createPersonType()

  Create an instance of `PersonType`

### createProfessionType

    public ProfessionType createProfessionType()

  Create an instance of `ProfessionType`

### createProfessionV2

    public ProfessionV2 createProfessionV2()

  Create an instance of `ProfessionV2`

### createProfessionCode

    public ProfessionCode createProfessionCode()

  Create an instance of `ProfessionCode`

### createSpeciality

    public Speciality createSpeciality()

  Create an instance of `Speciality`

### createProfessionalAddressbookType

    public ProfessionalAddressbookType createProfessionalAddressbookType()

  Create an instance of `ProfessionalAddressbookType`

### createResponsible

    public Responsible createResponsible()

  Create an instance of `Responsible`

### createSupportedOrganization

    public SupportedOrganization createSupportedOrganization()

  Create an instance of `SupportedOrganization`

### createOrganizationDescriberType

    public OrganizationDescriberType createOrganizationDescriberType()

  Create an instance of `OrganizationDescriberType`

### createOrganizationIdentifierType

    public OrganizationIdentifierType createOrganizationIdentifierType()

  Create an instance of `OrganizationIdentifierType`

### createBaseServiceListType

    public BaseServiceListType createBaseServiceListType()

  Create an instance of `BaseServiceListType`

### createSupportedOrganizationV2

    public SupportedOrganizationV2 createSupportedOrganizationV2()

  Create an instance of `SupportedOrganizationV2`

### createOrganizationDescriberTypeV2

    public OrganizationDescriberTypeV2 createOrganizationDescriberTypeV2()

  Create an instance of `OrganizationDescriberTypeV2`

### createSupportedQuality

    public SupportedQuality createSupportedQuality()

  Create an instance of `SupportedQuality`

### createQualityDescriberType

    public QualityDescriberType createQualityDescriberType()

  Create an instance of `QualityDescriberType`

### createBaseServiceType

    public BaseServiceType createBaseServiceType()

  Create an instance of `BaseServiceType`

### createOrganizationAddressbookType

    public OrganizationAddressbookType createOrganizationAddressbookType()

  Create an instance of `OrganizationAddressbookType`

### createGIAMIEntity

    public JAXBElement<GIAMIEntityType> createGIAMIEntity(GIAMIEntityType value)

  Create an instance of `JAXBElement``<``GIAMIEntityType``>`}

### createGIAMIQuality

    public JAXBElement<GIAMIEntityType> createGIAMIQuality(GIAMIEntityType value)

  Create an instance of `JAXBElement``<``GIAMIEntityType``>`}

### createHealthCareOrganizationV2

    public JAXBElement<HealthCareOrganizationTypeV2> createHealthCareOrganizationV2(HealthCareOrganizationTypeV2 value)

  Create an instance of `JAXBElement``<``HealthCareOrganizationTypeV2``>`}

### createIndividual

    public JAXBElement<IndividualType> createIndividual(IndividualType value)

  Create an instance of `JAXBElement``<``IndividualType``>`}

### createMandateAttributeStatement

    public JAXBElement<IAMAttributeStatement> createMandateAttributeStatement(IAMAttributeStatement value)

  Create an instance of `JAXBElement``<``IAMAttributeStatement``>`}

### createName

    public JAXBElement<NameType> createName(NameType value)

  Create an instance of `JAXBElement``<``NameType``>`}

### createOrganizationAttributeStatement

    public JAXBElement<IAMAttributeStatement> createOrganizationAttributeStatement(IAMAttributeStatement value)

  Create an instance of `JAXBElement``<``IAMAttributeStatement``>`}

### createOrganizationTypeCode

    public JAXBElement<TypeCodeType> createOrganizationTypeCode(TypeCodeType value)

  Create an instance of `JAXBElement``<``TypeCodeType``>`}

### createOrganizationTypeFriendlyName

    public JAXBElement<NameType> createOrganizationTypeFriendlyName(NameType value)

  Create an instance of `JAXBElement``<``NameType``>`}

### createProfession

    public JAXBElement<ProfessionType> createProfession(ProfessionType value)

  Create an instance of `JAXBElement``<``ProfessionType``>`}

### createProfessionFriendlyName

    public JAXBElement<NameType> createProfessionFriendlyName(NameType value)

  Create an instance of `JAXBElement``<``NameType``>`}

### createProfessionalAddressbook

    public JAXBElement<ProfessionalAddressbookType> createProfessionalAddressbook(ProfessionalAddressbookType value)

  Create an instance of `JAXBElement``<``ProfessionalAddressbookType``>`}

### createQualityAttributeStatement

    public JAXBElement<IAMAttributeStatement> createQualityAttributeStatement(IAMAttributeStatement value)

  Create an instance of `JAXBElement``<``IAMAttributeStatement``>`}

### createQualityTypeCode

    public JAXBElement<TypeCodeType> createQualityTypeCode(TypeCodeType value)

  Create an instance of `JAXBElement``<``TypeCodeType``>`}

### createQualityTypeFriendlyName

    public JAXBElement<NameType> createQualityTypeFriendlyName(NameType value)

  Create an instance of `JAXBElement``<``NameType``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.